# Copyright Yahoo. Licensed under the terms of the Apache 2.0 license. See LICENSE in the project root.

# Disable build id note requirement for now
%undefine _missing_build_ids_terminate_build

# Force special prefix for Vespa
%define _prefix /opt/vespa-deps

%global debug_package %{nil}

# Version
%define ver_major 3
%define ver_minor 26
%define ver_patch 4
%define ver_release 1

Summary:        Cross-platform make system
Name:           vespa-cmake
Version:        %{ver_major}.%{ver_minor}.%{ver_patch}
Release:        %{ver_release}%{?dist}
License:        BSD and MIT and zlib
URL:            http://www.cmake.org
Source0:        https://github.com/Kitware/CMake/releases/download/v%{version}/cmake-%{version}.tar.gz

%if 0%{?el8}
BuildRequires: gcc-toolset-12-gcc-c++
%define _devtoolset_enable /opt/rh/gcc-toolset-12/enable
%endif
%if 0%{?fedora}
BuildRequires: gcc-c++
%endif
BuildRequires: make
BuildRequires: ccache
BuildRequires: openssl-devel

%global _vespa_3rdparty_deps_packaging_notice \
See https://github.com/vespa-engine/vespa-3rdparty-deps for details \
about packaging.

%description
%{_vespa_3rdparty_deps_packaging_notice}

%prep
%setup -q -n cmake-%{version}

%build
%if 0%{?_devtoolset_enable:1}
source %{_devtoolset_enable} || true
%endif

./bootstrap --enable-ccache --prefix=/opt/vespa-deps
make %{?_smp_mflags}

%install
%if 0%{?_devtoolset_enable:1}
source %{_devtoolset_enable} || true
%endif

%make_install

%files
%license Licenses/README.rst
%{_bindir}
%{_prefix}/share/
%{_prefix}/doc/

%changelog
